Bug 1031702 - (CVE-2013-4592) CVE-2013-4592 kernel: kvm: memory leak when memory slot is moved with assigned device
CVE-2013-4592 kernel: kvm: memory leak when memory slot is moved with assigne...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121210,repor...
: Security
Depends On: 978472
Blocks: 1031705
  Show dependency treegraph
 
Reported: 2013-11-18 10:10 EST by Petr Matousek
Modified: 2016-10-04 00:19 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-18 10:10:11 EST
When a user memory slot is moved (ie. the base_gfn changes), iommu pages are neither unpinned nor unmapped.  The memory for these pages then cannot be recovered without rebooting the system.

Local user with ability to assign device (with access to PCI sysfs files for a device) could use this flaw to DoS the system.

Upstream fixes:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=12d6e7538e2d418c08f082b1b44ffa5fb7270ed8
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=e40f193f5bb022e927a57a4f5d5194e4f12ddb74
Comment 1 errata-xmlrpc 2013-11-21 15:37:15 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html

Note You need to log in before you can comment on or make changes to this bug.